# AudioKit iOS Examples

* Audio Unit Manager - host audio units inside your application
* Drums - trigger drum sounds from 8 pads on your iOS device
* Filter Effects - Audiobus enabled effects processing
* Hello Objective-C - Hello World in the Objective-C language (as opposed to Swift)
* Hello World - Starter application that just plays an oscillator and displays a waveform
* Microphone Analysis - frequency and amplitude information from the incoming audio stream
* MIDI Utility - Basic MIDI implementation including MIDI monitoring
* Metronome Sampler Sync - highly accurate, sample triggering metronome
* Particles -Metal based audio visualizer (works on devices only, not the simulator)
* Random Clips - Demonstration of some of the new sample accurate functionality in AudioKit 4
* Recorder - Simple audio recorder
* Sampler Demo - example of AudioKit's AKAppleSampler
* Sender Synth - Audiobus enabled synthesizer
* Sequencer Demo - examjple of AudioKit's AKSequencer
* Sporth Editor - A graphical user interface to the Sporth audio language

## External Examples

Here are the examples of AudioKit that are not included in this repository. 

* [Analog Synth X](https://github.com/AudioKit/AnalogSynthX) - polyphonic synthesizer with a very nice user interface
* [ROM Player](https://github.com/AudioKit/ROMPlayer) - EXS24, Sound Font, Wave Player 
* [Song Processor](http://github.com/AudioKit/SongProcessor) - adding effects to songs from the device's iTunes Library 
